# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Net-HTTPTunnel
Version:	0.51
Release:	1.%{__distinit}%{__distvers}
Summary:	Create sockets that are tunnels through an HTTP 1.1 proxy
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Net-HTTPTunnel
Source0:	http://cpan.metacpan.org/authors/id/R/RW/RWAHBY/Net-HTTPTunnel-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test)
BuildRequires:	perl(vars)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a module that creates sockets that are tunnels through an HTTP 1.1
proxy that supports the SSL CONNECT method. For more information on this
method, see "Tunneling TCP based protocols through Web proxy servers" by Ari
Luotonen.

%prep
%setup -q -n Net-HTTPTunnel

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%doc draft-luotonen-web-proxy-tunneling-00.txt
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::HTTPTunnel.3pm*

%changelog
* Tue Aug  6 2013 Paul Howarth <paul@city-fan.org> - 0.51-1
- Initial RPM version
